#pragma once

#include "CoreMinimal.h"
#include "OnGameEventActionInterface.h"
#include "CompetenceAction.h"
#include "K41RevealSurvivorsAroundMushroom.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew)
class UK41RevealSurvivorsAroundMushroom : public UCompetenceAction, public IOnGameEventActionInterface
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _distanceFromActor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _revealDuration;

public:
	UK41RevealSurvivorsAroundMushroom();
};

FORCEINLINE uint32 GetTypeHash(const UK41RevealSurvivorsAroundMushroom) { return 0; }
